curl --request POST \
--url https://api.replicas.dev/v1/automations/{id}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payload": {}
}'import requests
url = "https://api.replicas.dev/v1/automations/{id}/trigger"
payload = { "payload": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payload: {}})
};
fetch('https://api.replicas.dev/v1/automations/{id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Trigger Automation
Manually triggers an automation. Automations with a cron trigger can be triggered directly; automations with a GitHub pull_request.command trigger can be triggered against a specific pull request by passing pr. This creates a new workspace and execution.
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Path Parameters
The unique identifier of the automation
Body
Request body for manually triggering an automation
Optional payload to pass to the automation execution
Run the automation against a specific pull request. Only allowed for automations with a GitHub pull_request.command trigger matching the repository. The PR context is injected into the prompt like any other PR-triggered run.
Show child attributes
Show child attributes